Results 1 to 6 of 6

Thread: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

  1. #1

    Default OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    I recently reinstalled the Leap 42.1 on my computer. Yesterday I run Yast - Online Update and I installed all the needed patches. I restarted the computer a few times since then. Today if I check if there are any needed patches, the list is blank.
    Yet, the bottom right icon for Software Updates indicates there are 2131 new updates. If I select to install those updates, I get an Update Error: "The license agreement was not agreed to".
    I actually configured in Yast -> Online Update Configuration to automatically agree with licenses. Maybe there is another place where I have to change the configuration? During the software updates there are no windows opening to ask me if I agree.
    Is there a way to make the Software Updates agree with the Yast -> Online Update? Is the Software Updates trying to install all updates, even those ones not needed?

  2. #2
    Join Date
    Nov 2013
    Location
    Kamloops, BC, Canada
    Posts
    3,974

    Default Re: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    Quote Originally Posted by NickFi View Post
    I recently reinstalled the Leap 42.1 on my computer. Yesterday I run Yast - Online Update and I installed all the needed patches. I restarted the computer a few times since then. Today if I check if there are any needed patches, the list is blank.
    Yet, the bottom right icon for Software Updates indicates there are 2131 new updates. If I select to install those updates, I get an Update Error: "The license agreement was not agreed to".
    I actually configured in Yast -> Online Update Configuration to automatically agree with licenses. Maybe there is another place where I have to change the configuration? During the software updates there are no windows opening to ask me if I agree.
    Is there a way to make the Software Updates agree with the Yast -> Online Update? Is the Software Updates trying to install all updates, even those ones not needed?
    You could drop to a root console and issue:
    Code:
    zypper up
    But, you should move up to 42.3, as 42.1 and 42.2 are both past EOL (especially 42.1) and no more security updates.

    ... or any updates.
    -Gerry Makaro
    Fraser-Bell Info Tech
    Solving Tech Mysteries since the Olden Days!
    ~~
    If I helped you, consider clicking the Star at the bottom left of my post.

  3. #3

    Default Re: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    Have you checked if the repositories are still available? Besides as already mentioned, you should move to 42.3.

  4. #4

    Default Re: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    Quote Originally Posted by Fraser_Bell View Post
    You could drop to a root console and issue:
    Code:
    zypper up
    But, you should move up to 42.3, as 42.1 and 42.2 are both past EOL (especially 42.1) and no more security updates.

    ... or any updates.
    Hi Gerry,

    I run the "zypper up" command and all 2140+ updates have been performed. It took a long time to download and install everything and I was thinking that I've done all this work to configure OpenSuse v42.1 and now when everything is functional and up-to-date, I will have to throw it all away and install the new version, 42.3.

    But today, to my surprise, when I booted up the computer, I thought I see in the menu "OpenSuse 42.3". I checked the System -> Info Center and sure enough, now I am running OpenSuse 42.3.

    So, I guess that the Yast -> Online Update is looking for updates for the current OS version, while the notifications provided by Software Updates (in the bottom right corner) are for upgrades to the next version. Too bad the software updates did not work, as I described in the first post - but it is great that it was so easy to perform all upgrades with "zypper up".

    Thanks again for help.

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,742

    Default Re: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    Not how it works if you used 4.1 repos they are the only ones accessed unless you change them. You can change them then do a zypper dup to upgrade but a zypper up will not work so no idea what you did.

  6. #6

    Default Re: OpenSuse Leap 42.1 - Conflicting information between Software Updates and Online Update

    Quote Originally Posted by gogalthorp View Post
    Not how it works if you used 4.1 repos they are the only ones accessed unless you change them. You can change them then do a zypper dup to upgrade but a zypper up will not work so no idea what you did.
    I had the Leap 42.1 version installed and updated from Yast. Then I installed MonoDevelop, but it installed an old version. I found out I need to install flatpak and that gave me some trouble (it was mentioned it can be installed on OpenSuse v42.1 and above, but when I tried to install it, it wanted v42.3). Eventually I installed it and updated Monodevelop (perhaps during these steps the repositories from 42.3 were added to the collection).

    Next, I just did the "zypper up" as advised. I did not run "zypper dup", it is the first time I hear about this command.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •